package com.tutosoftware.logintest.beans;

import java.io.Serializable;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpSession;

import com.tutosoftware.logintest.dao.LoginDAO;
import com.tutosoftware.logintest.util.SessionUtils;





@ManagedBean
@SessionScoped
public class Login implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String password;
	private String msg;
	private String usuario;
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getUsuario() {
		return usuario;
	}
	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}
	public String validarUsuarioPassword(){
		boolean valid = LoginDAO.validate(usuario, password);
		
		if (valid) {
		 HttpSession session  = SessionUtils.getSession();
		 session.setAttribute("username",usuario);
		 return "welcome";
	     }else {
	    	 FacesContext.getCurrentInstance().addMessage(
						null,
						new FacesMessage(FacesMessage.SEVERITY_WARN,
								"Usuario o password incorrecto",
								"Por favor introducir password y usuario correcto"));
				return "index";
	     }
		
	}
	public String salir(){
		HttpSession session = SessionUtils.getSession();
		session.invalidate();
		return "index";
	}
	
}
